Page MenuHomePhabricator

Gadget HotCats doesn't behave with Index: forms
Closed, DeclinedPublic

Description

The somewhat universal gadget HotCat doesn't interface well with the Index: page forms, in fact it basically strips it of data and applies a blank template

https://en.wikisource.org/w/index.php?title=Index:1800_Report_of_the_Joint_Committee.jpg&diff=prev&oldid=4174922

The form has never worked well with HotCat even back to ThomasV's efforts, but it would be useful if there was a designated interactive zone where HotCat could work. This is predominantly for maintenance work.

At this point of time, enWS will probably have to consider neutering HotCat in that namespace.


Version: REL1_20-branch
Severity: normal

Details

Reference
bz43168

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 12:50 AM
bzimport added a project: ProofreadPage.
bzimport set Reference to bz43168.
bzimport added a subscriber: Unknown Object (MLST).
Tpt added a comment.Dec 16 2012, 8:11 AM

I think that, if we want to make HotCat work with index pages, we will need to customize it to work with the index pages edit form. I don't want to include bad hack to ProofreadPage only to make it work with HotCat.

Okay, are you suggesting that becomes a WONTFIX here, and something that is taken back to the WS wiki(s)? It is sometimes hard to know where the Extension starts and stops with relation to Index: pages. :-)

Tpt added a comment.Dec 16 2012, 8:34 AM

Yes, it's what I suggest: I believe that the extension mustn't have any code relying on a gadget. But if there are issues with the current edit system of the extension, they have to be fixed in the extension.

So I close as WONTFIX.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 28 2016, 6:08 PM
GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 3:46 AM